import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["as", "className", "children", "outerRef", "title"];
import PropTypes from 'prop-types';
import Poly from '@s-ui/react-primitive-polymorphic-element';
import { getAttributes } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
var AtomIcon = function AtomIcon(_ref) {
  var as = _ref.as,
    className = _ref.className,
    children = _ref.children,
    outerRef = _ref.outerRef,
    title = _ref.title,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/_jsx(Poly, _extends({
    as: as,
    className: className,
    title: title,
    ref: outerRef
  }, getAttributes(title), props, {
    children: children
  }));
};
export default AtomIcon;